SUMMARY = "Add an ChimeraTK OPCUA-GenericServer to access PL app"
SECTION = "opt"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"

SRC_URI = " file://app.mapt \
            file://devices.dmap \
            file://generic_chimeratk_server_configuration.xml \
"

RDEPENDS_${PN}=" genericdeviceserver-opcua"

FILES_${PN}+="/opt/fofb-opcua-server/*"

do_install() {
    install -d ${D}/opt/fofb-opcua-server/
    install -m 0755 ${WORKDIR}/app.mapt ${D}/opt/fofb-opcua-server/app.mapt
    install -m 0755 ${WORKDIR}/devices.dmap ${D}/opt/fofb-opcua-server/devices.dmap
    install -m 0755 ${WORKDIR}/generic_chimeratk_server_configuration.xml ${D}/opt/fofb-opcua-server/generic_chimeratk_server_configuration.xml
}
